{ config, pkgs, ... }: 
let
  default = "#${config.vars.colors.prime}FF";
  wrong = "#${config.vars.colors.split}FF";
  verifying = "#${config.vars.colors.accent}FF";
  blank = "#00000000";
  clear = "#FFFFFF22";
  text = "#FFFFFFFF";
in {
  programs.swaylock = {
    enable = config.home.desktop.enable;
    package = pkgs.swaylock-effects;
    settings = {
      clock = true;
      image = ".wallpapers/lock.png";
      font = config.vars.fonts.main;
      font-size = 30;
      timestr = "%I:%M%p";
      datestr = "%a %b %d %Y";

      key-hl-color = verifying;
      bs-hl-color = wrong;

      ring-clear-color = clear;
      ring-ver-color = verifying;
      ring-wrong-color = wrong;
      ring-color = default;

      inside-color = clear;
      inside-ver-color = clear;
      inside-wrong-color = clear;
      inside-clear-color = clear;

      text-color = text;
      text-clear-color = text;
      text-ver-color = text;
      text-caps-lock-color = text;
      text-wrong-color = text;

      indicator = true;
      indicator-radius = 80;
    };
  };
}
