{ config, ... }:
{
  wayland.windowManager.sway.config = with config.vars.ws; {
    defaultWorkspace = "workspace 1:${w1}";

    focus = {
      mouseWarping = "container";
      wrapping = "yes";
    };

    workspaceAutoBackAndForth = true;

    window = {
      titlebar = false;
      commands = [
        # Scratchpads
        {
          criteria = { con_mark = "scratchpad"; };
          command = ''floating enable, sticky enable, move scratchpad, mark giveborder'';
        }
        {
          criteria = { app_id = "btop"; };
          command = ''mark scratchpad'';
        }
        {
          criteria = { app_id = "music"; };
          command = ''mark scratchpad'';
        }
        {
          criteria = { app_id = "sound"; };
          command = ''mark scratchpad'';
        }

        # Give apps that don't have them borders
        {
          criteria = { con_mark = "giveborder"; };
          command = ''border pixel ${config.vars.border.string}'';
        }
        {
          criteria = { class = "steam"; };
          command = ''mark giveborder'';
        }
        {
          criteria = { app_id = "swappy"; };
          command = ''mark giveborder'';
        }
        {
          criteria = { app_id = "virt-manager"; };
          command = ''mark giveborder'';
        }
        {
          criteria = { window_role = "pop-up"; };
          command = ''mark giveborder'';
        }
      ];
    };
    assigns = {
      # Browser
      "1:${w1}" = [{ app_id = "librewolf"; }];

      # Communication
      "7:${w7}" = [
        { app_id = "teams-for-linux"; }
        { app_id = "vesktop"; }
        { class = "vesktop"; }
      ];
      "9:${w9}" = [{ app_id = "thunderbird"; }];

      # Etc
      "2:${w2}" = [
        { class = "steam"; }
        { app_id = "heroic"; }
      ];
      "44:${w4a}" = [{ app_id = "com.obsproject.Studio"; }];
    };
  };
}
