{ config, ... }:
{
  wayland.windowManager.sway.config = {
    colors = {
      focused = {
        border = "#${config.vars.colors.prime}";
        background = "#${config.vars.colors.prime}";
        text = "#FFFFFF";
        indicator = "#${config.vars.colors.actSplit}";
        childBorder = "#${config.vars.colors.prime}";
      };
      focusedInactive = {
        border = "#${config.vars.colors.accent}";
        background = "#${config.vars.colors.accent}";
        text = "#${config.vars.colors.text}";
        indicator = "#${config.vars.colors.split}";
        childBorder = "#${config.vars.colors.accent}";
      };
      unfocused = {
        border = "#${config.vars.colors.dark}";
        background = "#${config.vars.colors.dark}";
        text = "#${config.vars.colors.text}";
        indicator = "#${config.vars.colors.split}";
        childBorder = "#${config.vars.colors.split}";
      };
      urgent = {
        border = "#${config.vars.colors.urgent}";
        background = "#${config.vars.colors.urgent}";
        text = "#${config.vars.colors.text}";
        indicator = "#${config.vars.colors.urgent}";
        childBorder = "#${config.vars.colors.urgent}";
      };
    };

    bars = [ ];

    fonts = {
      names = [ config.vars.fonts.main ];
      size = 10.5;
    };

    window = {
      border = config.vars.border.int;
      hideEdgeBorders = "smart";
    };

    floating = {
      border = config.vars.border.int;
      titlebar = false;
    };

    gaps = {
      inner = 5;
      smartGaps = true;
    };
  };
}
